require_relative "lib/version"
# require_relative "lib/constants"
require 'date'

Gem::Specification.new do |s|
  s.version     = VERSION
  s.name        = File.basename(__FILE__, '.gemspec')
  s.date        = Date.today.strftime('%F')
  s.summary     = "Initial."
  s.description = "Generates a TMDX-file (for SoftMaker TextMaker) containing a table"
  s.authors     = ["Michael Uplawski"]
  s.email       = 'michael.uplawski@uplawski.eu'
  s.files  	=  %w~tm_gen_table.rb~.collect{|f| 'bin/' << f} + %w~tm_gen_table.rb version.rb ~.collect{|f| 'lib/' << f} + %w~tm_gen_table.gemspec~.collect{|f|f} + %w~~.collect{|f| 'doc/' << f}
  s.homepage    = ''
  s.requirements = 'nokogiri'
  s.add_runtime_dependency 'nokogiri', '~> 1.8', '>= 1.8.5'
#  s.add_runtime_dependency 'ruby-filemagic', '~> 0.7', '>= 0.7.2'
  s.executables = 'tm_gen_table'
  s.license     = 'GPL-3.0'
  s.required_ruby_version = '>= 2.5'
end
